This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1026418 - Command passed as argument is not executed while accepting SSL certificate.
Command passed as argument is not executed while accepting SSL certificate.
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CLI (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: DR6
: EAP 6.3.0
Assigned To: Darran Lofthouse
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 10:30 EST by Petr Kremensky
Modified: 2014-06-28 11:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When starting the JBoss EAP 6 CLI with a command being passed as an argument, if that server prompted the user to accept a server certificate, it logged that prompt as an error. This resulted in any command passed as an argument being skipped, as those commands are only executed if no errors have occurred. This issue was fixed by outputting the certificate acceptance prompt as normal output instead of as an error. As a result, a command as an argument when starting the CLI is successfully executed after the user has accepted the server's certificate.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:28:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2538 Major Resolved Certificate acceptance causing command entered on starting the CLI to be skipped. 2017-03-20 14:19 EDT
JBoss Issue Tracker WFLY-2950 Major Resolved jboss-cli using https-remoting: command not executed if certificate is unrecognised 2017-03-20 14:19 EDT

  None (edit)
Description Petr Kremensky 2013-11-04 10:30:41 EST
Description of problem:
 Command passed as arguments to CLI is not executed once I choose to accept the SSL certificate only temporarily. 

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER7

How reproducible:
 Always

Steps to Reproduce:
 0. Navigate to JBOSS_HOME/bin.
 1. Create SSL certificate like: 
keytool -genkeypair -alias alias -keyalg RSA -keystore ssl-test.keystore -storepass password --dname "CN=jboss,OU=Engineering,O=redhat.com,L=Brno,C=CZ"
 2. Start standalone server.
 3. Secure ManagementRealm with SSL: 
./jboss-cli.sh -c command="/core-service=management/security-realm=ManagementRealm/server-identity=ssl:add(keystore-path=ssl-test.keystore,keystore-password="password")"
 4. Restart server
 5. Stop the server using non-interactive CLI mode, accept the certificate only temporarily.
./jboss-cli.sh -c shutdown
Accept certificate? [N]o, [T]emporarily, [P]ermenantly : T

Actual results:
 CLI command is not executed.

Expected results:
 CLI command is executed.

Additional info:
 Even if I accept the certificate permanently the first command is not executed (step 5). After accepting the certificate, one must call the command again to shutdown the server.
Comment 1 Darran Lofthouse 2013-11-19 09:13:04 EST
Assigning to me as I am currently working on improving the certificate acceptance logic upstream.
Comment 2 JBoss JIRA Server 2013-11-19 14:28:47 EST
Darran Lofthouse <darran.lofthouse@jboss.com> made a comment on jira WFLY-2538

Additional testing and this does not seem to be restricted to the certificate acceptance prompt, if the user is required to authenticate and provide a username and password the same behaviour is observed.
Comment 3 JBoss JIRA Server 2013-11-19 14:40:49 EST
Darran Lofthouse <darran.lofthouse@jboss.com> made a comment on jira WFLY-2538

-Additional testing and this does not seem to be restricted to the certificate acceptance prompt, if the user is required to authenticate and provide a username and password the same behaviour is observed.-

Ignore this comment, further testing does appear to be specific to certificate acceptance.
Comment 4 JBoss JIRA Server 2013-11-21 13:00:46 EST
Darran Lofthouse <darran.lofthouse@jboss.com> updated the status of jira WFLY-2538 to Coding In Progress
Comment 5 Darran Lofthouse 2014-02-11 07:37:24 EST
Adding devel_ack as the upstream issue is resolved so should be a trivial backport.
Comment 8 Petr Kremensky 2014-03-31 03:06:30 EDT
Verified on EAP 6.3.0.DR6.

Note You need to log in before you can comment on or make changes to this bug.